<layout class="app-file-upload-view ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <i-content>
        <row class="app-file-container" type="flex">
            {
                this.files.map((file: any) => {
                    return (
                        <i-col class="file-item">
                            <img class="file-image" src={file.url}></img>
                            <div class="file-name">{file.name}</div>
                            <icon class="file-delete" on-click={() => this.onRemove(file)} type="ios-close-circle" />
                        </i-col>
                    );
                })
            }
            <i-col class="file-item">
                {
                    this.$createElement(
                        'el-upload',
                        {
                            props: {
                                'action': Environment.BaseUrl + Environment.UploadFile,
                                'file-list': this.files,
                                'list-type': 'picture-card',
                                'show-file-list': false,
                                'auto-upload': true,
                                'on-success': this.onUploadSuccess
                            }
                        },
                        [
                            <i slot="default" class="el-icon-plus"></i>
                        ]
                    )
                }
                <div class="file-name">上传文件</div>
            </i-col>
        </row>
    </i-content>
    <i-footer>
        <i-button on-click={this.onClickCancel}>取消</i-button>
        <i-button on-click={this.onClickOk} disabled={this.files.length == 0} type="primary">确定</i-button>
    </i-footer>
</layout>